function [lbs,subtypestrs] = util_get_label_set_by_name( modeltypestr )
mt = ?GLOBALCONST;
funclist = mt.MethodList;
namelist = arrayfun(@(x)x.Name,funclist,'uniformoutput',false);
modeltypestr = upper(modeltypestr);
idxhead = strfind(namelist,modeltypestr);
hitmask = cellfun(@(x)~isempty(x)&&x(1)==1,idxhead);

namelisthit = namelist(hitmask);
lbs = zeros(1,length(namelisthit));
for i=1:length(lbs)
    thisname = namelisthit{i};
    lbs(i) = GLOBALCONST.(thisname);
end

subtypestrs = namelisthit;

end

